Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.edit
Class VoidVisitor

    java.lang.Object
      convert.relaxng.edit.VoidVisitor

All Implemented Interfaces:
  AnnotationChildVisitor<VoidValue>, AttributeAnnotationVisitor<VoidValue>, ComponentVisitor<VoidValue>, NameClassVisitor<VoidValue>, PatternVisitor<VoidValue>

    public class VoidVisitor

extends java.lang.Object
implements PatternVisitor<VoidValue>, NameClassVisitor<VoidValue>, ComponentVisitor<VoidValue>, AnnotationChildVisitor<VoidValue>, AttributeAnnotationVisitor<VoidValue>

Constructor Summary
`VoidVisitor()`

Method Summary
`VoidValue` | `visitAnyName(AnyNameNameClass nc)`
`VoidValue` | `visitAttribute(AttributeAnnotation a)`
`VoidValue` | `visitAttribute(AttributePattern p)`
`VoidValue` | `visitChoice(ChoiceNameClass nc)`
`VoidValue` | `visitChoice(ChoicePattern p)`
`VoidValue` | `visitComment(Comment c)`
`VoidValue` | `visitData(DataPattern p)`
`VoidValue` | `visitDefine(DefineComponent c)`
`VoidValue` | `visitDiv(DivComponent c)`
`VoidValue` | `visitElement(ElementAnnotation ea)`
`VoidValue` | `visitElement(ElementPattern p)`
`VoidValue` | `visitEmpty(EmptyPattern p)`
`VoidValue` | `visitExternalRef(ExternalRefPattern p)`
`VoidValue` | `visitGrammar(GrammarPattern p)`
`VoidValue` | `visitGroup(GroupPattern p)`
`VoidValue` | `visitInclude(IncludeComponent c)`
`VoidValue` | `visitInterleave(InterleavePattern p)`
`VoidValue` | `visitList(ListPattern p)`
`VoidValue` | `visitMixed(MixedPattern p)`
`VoidValue` | `visitName(NameNameClass nc)`
`VoidValue` | `visitNotAllowed(NotAllowedPattern p)`
`VoidValue` | `visitNsName(NsNameNameClass nc)`
`VoidValue` | `visitOneOrMore(OneOrMorePattern p)`
`VoidValue` | `visitOptional(OptionalPattern p)`
`VoidValue` | `visitParentRef(ParentRefPattern p)`
`VoidValue` | `visitRef(RefPattern p)`
`VoidValue` | `visitText(TextAnnotation ta)`
`VoidValue` | `visitText(TextPattern p)`
`VoidValue` | `visitValue(ValuePattern p)`
`VoidValue` | `visitZeroOrMore(ZeroOrMorePattern p)`
`void` | `voidVisitAnnotated(Annotated p)`
`void` | `voidVisitAnnotationChild(AnnotationChild ac)`
`void` | `voidVisitAnyName(AnyNameNameClass nc)`
`void` | `voidVisitAttribute(AttributeAnnotation a)`
`void` | `voidVisitAttribute(AttributePattern p)`
`void` | `voidVisitChoice(ChoiceNameClass nc)`
`void` | `voidVisitChoice(ChoicePattern p)`
`void` | `voidVisitComment(Comment c)`
`void` | `voidVisitComponent(Component c)`
`void` | `voidVisitData(DataPattern p)`
`void` | `voidVisitDefine(DefineComponent c)`
`void` | `voidVisitDiv(DivComponent c)`
`void` | `voidVisitElement(ElementAnnotation ea)`
`void` | `voidVisitElement(ElementPattern p)`
`void` | `voidVisitEmpty(EmptyPattern p)`
`void` | `voidVisitExternalRef(ExternalRefPattern p)`
`void` | `voidVisitGrammar(GrammarPattern p)`
`void` | `voidVisitGroup(GroupPattern p)`
`void` | `voidVisitInclude(IncludeComponent c)`
`void` | `voidVisitInterleave(InterleavePattern p)`
`void` | `voidVisitList(ListPattern p)`
`void` | `voidVisitMixed(MixedPattern p)`
`void` | `voidVisitName(NameNameClass nc)`
`void` | `voidVisitNameClass(NameClass nc)`
`void` | `voidVisitNotAllowed(NotAllowedPattern p)`
`void` | `voidVisitNsName(NsNameNameClass nc)`
`void` | `voidVisitOneOrMore(OneOrMorePattern p)`
`void` | `voidVisitOptional(OptionalPattern p)`
`void` | `voidVisitParentRef(ParentRefPattern p)`
`void` | `voidVisitPattern(Pattern p)`
`void` | `voidVisitRef(RefPattern p)`
`void` | `voidVisitText(TextAnnotation ta)`
`void` | `voidVisitText(TextPattern p)`
`void` | `voidVisitValue(ValuePattern p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VoidVisitor

    public VoidVisitor()

Method Detail

### visitElement

    public final VoidValue visitElement(ElementPattern p)

  Specified by:
    `visitElement` in interface `PatternVisitor<VoidValue>`

### voidVisitElement

    public void voidVisitElement(ElementPattern p)

### voidVisitPattern

    public void voidVisitPattern(Pattern p)

### voidVisitAnnotated

    public void voidVisitAnnotated(Annotated p)

### visitChoice

    public final VoidValue visitChoice(ChoiceNameClass nc)

  Specified by:
    `visitChoice` in interface `NameClassVisitor<VoidValue>`

### voidVisitChoice

    public void voidVisitChoice(ChoiceNameClass nc)

### voidVisitNameClass

    public void voidVisitNameClass(NameClass nc)

### visitDiv

    public final VoidValue visitDiv(DivComponent c)

  Specified by:
    `visitDiv` in interface `ComponentVisitor<VoidValue>`

### voidVisitDiv

    public void voidVisitDiv(DivComponent c)

### voidVisitComponent

    public void voidVisitComponent(Component c)

### visitAttribute

    public final VoidValue visitAttribute(AttributePattern p)

  Specified by:
    `visitAttribute` in interface `PatternVisitor<VoidValue>`

### voidVisitAttribute

    public void voidVisitAttribute(AttributePattern p)

### visitAnyName

    public final VoidValue visitAnyName(AnyNameNameClass nc)

  Specified by:
    `visitAnyName` in interface `NameClassVisitor<VoidValue>`

### voidVisitAnyName

    public void voidVisitAnyName(AnyNameNameClass nc)

### visitInclude

    public final VoidValue visitInclude(IncludeComponent c)

  Specified by:
    `visitInclude` in interface `ComponentVisitor<VoidValue>`

### voidVisitInclude

    public void voidVisitInclude(IncludeComponent c)

### visitOneOrMore

    public final VoidValue visitOneOrMore(OneOrMorePattern p)

  Specified by:
    `visitOneOrMore` in interface `PatternVisitor<VoidValue>`

### voidVisitOneOrMore

    public void voidVisitOneOrMore(OneOrMorePattern p)

### visitNsName

    public final VoidValue visitNsName(NsNameNameClass nc)

  Specified by:
    `visitNsName` in interface `NameClassVisitor<VoidValue>`

### voidVisitNsName

    public void voidVisitNsName(NsNameNameClass nc)

### visitDefine

    public final VoidValue visitDefine(DefineComponent c)

  Specified by:
    `visitDefine` in interface `ComponentVisitor<VoidValue>`

### voidVisitDefine

    public void voidVisitDefine(DefineComponent c)

### visitZeroOrMore

    public final VoidValue visitZeroOrMore(ZeroOrMorePattern p)

  Specified by:
    `visitZeroOrMore` in interface `PatternVisitor<VoidValue>`

### visitName

    public final VoidValue visitName(NameNameClass nc)

  Specified by:
    `visitName` in interface `NameClassVisitor<VoidValue>`

### voidVisitName

    public void voidVisitName(NameNameClass nc)

### visitOptional

    public final VoidValue visitOptional(OptionalPattern p)

  Specified by:
    `visitOptional` in interface `PatternVisitor<VoidValue>`

### voidVisitOptional

    public void voidVisitOptional(OptionalPattern p)

### visitInterleave

    public final VoidValue visitInterleave(InterleavePattern p)

  Specified by:
    `visitInterleave` in interface `PatternVisitor<VoidValue>`

### voidVisitInterleave

    public void voidVisitInterleave(InterleavePattern p)

### visitGroup

    public final VoidValue visitGroup(GroupPattern p)

  Specified by:
    `visitGroup` in interface `PatternVisitor<VoidValue>`

### voidVisitGroup

    public void voidVisitGroup(GroupPattern p)

### visitChoice

    public final VoidValue visitChoice(ChoicePattern p)

  Specified by:
    `visitChoice` in interface `PatternVisitor<VoidValue>`

### voidVisitChoice

    public void voidVisitChoice(ChoicePattern p)

### visitGrammar

    public final VoidValue visitGrammar(GrammarPattern p)

  Specified by:
    `visitGrammar` in interface `PatternVisitor<VoidValue>`

### voidVisitGrammar

    public void voidVisitGrammar(GrammarPattern p)

### visitExternalRef

    public final VoidValue visitExternalRef(ExternalRefPattern p)

  Specified by:
    `visitExternalRef` in interface `PatternVisitor<VoidValue>`

### voidVisitExternalRef

    public void voidVisitExternalRef(ExternalRefPattern p)

### visitRef

    public final VoidValue visitRef(RefPattern p)

  Specified by:
    `visitRef` in interface `PatternVisitor<VoidValue>`

### voidVisitRef

    public void voidVisitRef(RefPattern p)

### visitParentRef

    public final VoidValue visitParentRef(ParentRefPattern p)

  Specified by:
    `visitParentRef` in interface `PatternVisitor<VoidValue>`

### voidVisitParentRef

    public void voidVisitParentRef(ParentRefPattern p)

### visitValue

    public final VoidValue visitValue(ValuePattern p)

  Specified by:
    `visitValue` in interface `PatternVisitor<VoidValue>`

### voidVisitValue

    public void voidVisitValue(ValuePattern p)

### visitData

    public final VoidValue visitData(DataPattern p)

  Specified by:
    `visitData` in interface `PatternVisitor<VoidValue>`

### voidVisitData

    public void voidVisitData(DataPattern p)

### visitMixed

    public final VoidValue visitMixed(MixedPattern p)

  Specified by:
    `visitMixed` in interface `PatternVisitor<VoidValue>`

### voidVisitMixed

    public void voidVisitMixed(MixedPattern p)

### visitList

    public final VoidValue visitList(ListPattern p)

  Specified by:
    `visitList` in interface `PatternVisitor<VoidValue>`

### voidVisitList

    public void voidVisitList(ListPattern p)

### visitText

    public final VoidValue visitText(TextPattern p)

  Specified by:
    `visitText` in interface `PatternVisitor<VoidValue>`

### voidVisitText

    public void voidVisitText(TextPattern p)

### visitEmpty

    public final VoidValue visitEmpty(EmptyPattern p)

  Specified by:
    `visitEmpty` in interface `PatternVisitor<VoidValue>`

### voidVisitEmpty

    public void voidVisitEmpty(EmptyPattern p)

### visitNotAllowed

    public final VoidValue visitNotAllowed(NotAllowedPattern p)

  Specified by:
    `visitNotAllowed` in interface `PatternVisitor<VoidValue>`

### voidVisitNotAllowed

    public void voidVisitNotAllowed(NotAllowedPattern p)

### visitText

    public final VoidValue visitText(TextAnnotation ta)

  Specified by:
    `visitText` in interface `AnnotationChildVisitor<VoidValue>`

### voidVisitText

    public void voidVisitText(TextAnnotation ta)

### visitComment

    public final VoidValue visitComment(Comment c)

  Specified by:
    `visitComment` in interface `AnnotationChildVisitor<VoidValue>`

### voidVisitComment

    public void voidVisitComment(Comment c)

### visitElement

    public final VoidValue visitElement(ElementAnnotation ea)

  Specified by:
    `visitElement` in interface `AnnotationChildVisitor<VoidValue>`

### voidVisitElement

    public void voidVisitElement(ElementAnnotation ea)

### voidVisitAnnotationChild

    public void voidVisitAnnotationChild(AnnotationChild ac)

### visitAttribute

    public final VoidValue visitAttribute(AttributeAnnotation a)

  Specified by:
    `visitAttribute` in interface `AttributeAnnotationVisitor<VoidValue>`

### voidVisitAttribute

    public void voidVisitAttribute(AttributeAnnotation a)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD